# pointpos_api
PointByte API Specification

This Dart package is automatically generated by the [Open API Codegen](https://github.com/OpenAPITools/openapi-generator) project:

- API version: 0.1.2
- Build package: org.openapitools.codegen.languages.DartJaguarClientCodegen

## Requirements

Dart 2 or later OR Flutter 0.7.0 or later.

Once your code is generated, you need to run the build_runner command to let Jaguar implement your API:

```sh
flutter packages pub run build_runner build
or
pub run build_runner build
```

## Installation & Usage

### Github
If this Dart package is published to Github, please include the following in pubspec.yaml
```
name: pointpos_api
version: 0.2.1
description: OpenAPI API client
dependencies:
  pointpos_api:
    git: https://github.com/GIT_USER_ID/GIT_REPO_ID.git
      version: 'any'
```

### Local
To use the package in your local drive, please include the following in pubspec.yaml
```
dependencies:
  pointpos_api:
    path: /path/to/pointpos_api
```

## Tests

TODO

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```dart
import 'package:pointpos_api/api.dart';

// TODO Configure API key authorization: JWT
//pointpos_api.api.Configuration.apiKey{'Authorization'} = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//pointpos_api.api.Configuration.apiKeyPrefix{'Authorization'} = "Bearer";

final jaguarApiGen = PointposApi();
var api_instance = jaguarApiGen.getAdjustmentStockApi();
var authorization = authorization_example; // String | JWT Authorization
var xAPIKey = xAPIKey_example; // String | API Key
var body = new AdjustmentStock(); // AdjustmentStock | 
var xPin = xPin_example; // String | PIN Number

try {
    var result = api_instance.createAdjustmentStock(authorization, xAPIKey, body, xPin);
    print(result);
} catch (e) {
    print("Exception when calling AdjustmentStockApi->createAdjustmentStock: $e\n");
}

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AdjustmentStockApi* | [**createAdjustmentStock**](doc//AdjustmentStockApi.md#createadjustmentstock) | **Post** /adjustment-stock | Create AdjustmentStock
*AdjustmentStockApi* | [**findAdjustmentStock**](doc//AdjustmentStockApi.md#findadjustmentstock) | **Get** /adjustment-stock | Get AdjustmentStock List
*AdjustmentStockApi* | [**getAdjustmentStockByID**](doc//AdjustmentStockApi.md#getadjustmentstockbyid) | **Get** /adjustment-stock/:id | Get AdjustmentStock By ID
*CustomerApi* | [**createCustomer**](doc//CustomerApi.md#createcustomer) | **Post** /customer | Create Customer
*CustomerApi* | [**deleteCustomerByID**](doc//CustomerApi.md#deletecustomerbyid) | **Delete** /customer/:id | Delete Customer By ID
*CustomerApi* | [**findCustomer**](doc//CustomerApi.md#findcustomer) | **Get** /customer | Get Customer List
*CustomerApi* | [**getCustomerByID**](doc//CustomerApi.md#getcustomerbyid) | **Get** /customer/:id | Get Customer By ID
*CustomerApi* | [**updateCustomerByID**](doc//CustomerApi.md#updatecustomerbyid) | **Put** /customer/:id | Update Customer By ID
*DiscountApi* | [**createDiscount**](doc//DiscountApi.md#creatediscount) | **Post** /discount | Create Discount
*DiscountApi* | [**deleteDiscountByID**](doc//DiscountApi.md#deletediscountbyid) | **Delete** /discount/:id | Delete Discount By ID
*DiscountApi* | [**findDiscount**](doc//DiscountApi.md#finddiscount) | **Get** /discount | Get Discount List
*DiscountApi* | [**getDiscountByID**](doc//DiscountApi.md#getdiscountbyid) | **Get** /discount/:id | Get Discount By ID
*DiscountApi* | [**updateDiscountByID**](doc//DiscountApi.md#updatediscountbyid) | **Put** /discount/:id | Update Discount By ID
*DocumentApi* | [**uploadDocument**](doc//DocumentApi.md#uploaddocument) | **Post** /document | Upload Document
*EmployeeApi* | [**createEmployee**](doc//EmployeeApi.md#createemployee) | **Post** /employee | Create Employee
*EmployeeApi* | [**deleteEmployeeByID**](doc//EmployeeApi.md#deleteemployeebyid) | **Delete** /employee/:id | Delete Employee By ID
*EmployeeApi* | [**findEmployee**](doc//EmployeeApi.md#findemployee) | **Get** /employee | Get Employee List
*EmployeeApi* | [**getEmployeeByID**](doc//EmployeeApi.md#getemployeebyid) | **Get** /employee/:id | Get Employee By ID
*EmployeeApi* | [**updateEmployeeByID**](doc//EmployeeApi.md#updateemployeebyid) | **Put** /employee/:id | Update Employee By ID
*GratuityApi* | [**createGratuity**](doc//GratuityApi.md#creategratuity) | **Post** /gratuity | Create Gratuity
*GratuityApi* | [**deleteGratuityByID**](doc//GratuityApi.md#deletegratuitybyid) | **Delete** /gratuity/:id | Delete Gratuity By ID
*GratuityApi* | [**findGratuity**](doc//GratuityApi.md#findgratuity) | **Get** /gratuity | Get Gratuity List
*GratuityApi* | [**getGratuityByID**](doc//GratuityApi.md#getgratuitybyid) | **Get** /gratuity/:id | Get Gratuity By ID
*GratuityApi* | [**updateGratuityByID**](doc//GratuityApi.md#updategratuitybyid) | **Put** /gratuity/:id | Update Gratuity By ID
*IngredientApi* | [**createIngredient**](doc//IngredientApi.md#createingredient) | **Post** /ingredient | Create Ingredient
*IngredientApi* | [**deleteIngredientByID**](doc//IngredientApi.md#deleteingredientbyid) | **Delete** /ingredient/:id | Delete Ingredient By ID
*IngredientApi* | [**findIngredient**](doc//IngredientApi.md#findingredient) | **Get** /ingredient | Get Ingredient List
*IngredientApi* | [**getIngredientByID**](doc//IngredientApi.md#getingredientbyid) | **Get** /ingredient/:id | Get Ingredient By ID
*IngredientApi* | [**updateIngredientByID**](doc//IngredientApi.md#updateingredientbyid) | **Put** /ingredient/:id | Update Ingredient By ID
*IngredientCategoryApi* | [**createIngredientcategory**](doc//IngredientCategoryApi.md#createingredientcategory) | **Post** /ingredient-category | Create Ingredientcategory
*IngredientCategoryApi* | [**deleteIngredientcategoryByID**](doc//IngredientCategoryApi.md#deleteingredientcategorybyid) | **Delete** /ingredient-category/:id | Delete Ingredientcategory By ID
*IngredientCategoryApi* | [**findIngredientcategory**](doc//IngredientCategoryApi.md#findingredientcategory) | **Get** /ingredient-category | Get Ingredientcategory List
*IngredientCategoryApi* | [**getIngredientcategoryByID**](doc//IngredientCategoryApi.md#getingredientcategorybyid) | **Get** /ingredient-category/:id | Get Ingredientcategory By ID
*IngredientCategoryApi* | [**updateIngredientcategoryByID**](doc//IngredientCategoryApi.md#updateingredientcategorybyid) | **Put** /ingredient-category/:id | Update Ingredientcategory By ID
*ItemApi* | [**createItem**](doc//ItemApi.md#createitem) | **Post** /item | Create Item
*ItemApi* | [**createItemImage**](doc//ItemApi.md#createitemimage) | **Post** /item/:id/image | Create Item Image
*ItemApi* | [**deleteItemByID**](doc//ItemApi.md#deleteitembyid) | **Delete** /item/:id | Delete Item By ID
*ItemApi* | [**deleteItemImageByID**](doc//ItemApi.md#deleteitemimagebyid) | **Delete** /item/:id/image/:imageId | Delete Item Image By ID
*ItemApi* | [**findItem**](doc//ItemApi.md#finditem) | **Get** /item | Get Item List
*ItemApi* | [**getItemByID**](doc//ItemApi.md#getitembyid) | **Get** /item/:id | Get Item By ID
*ItemApi* | [**updateItemByID**](doc//ItemApi.md#updateitembyid) | **Put** /item/:id | Update Item By ID
*ItemApi* | [**updateItemImageByID**](doc//ItemApi.md#updateitemimagebyid) | **Put** /item/:id/image/:imageId | Update Item Image By ID
*ItemCategoryApi* | [**createItemcategory**](doc//ItemCategoryApi.md#createitemcategory) | **Post** /item-category | Create Itemcategory
*ItemCategoryApi* | [**deleteItemcategoryByID**](doc//ItemCategoryApi.md#deleteitemcategorybyid) | **Delete** /item-category/:id | Delete Itemcategory By ID
*ItemCategoryApi* | [**findItemcategory**](doc//ItemCategoryApi.md#finditemcategory) | **Get** /item-category | Get Itemcategory List
*ItemCategoryApi* | [**getItemcategoryByID**](doc//ItemCategoryApi.md#getitemcategorybyid) | **Get** /item-category/:id | Get Itemcategory By ID
*ItemCategoryApi* | [**updateItemcategoryByID**](doc//ItemCategoryApi.md#updateitemcategorybyid) | **Put** /item-category/:id | Update Itemcategory By ID
*LoyaltyProgramApi* | [**createLoyaltyprogram**](doc//LoyaltyProgramApi.md#createloyaltyprogram) | **Post** /loyalty-program | Create Loyaltyprogram
*LoyaltyProgramApi* | [**deleteLoyaltyprogramByID**](doc//LoyaltyProgramApi.md#deleteloyaltyprogrambyid) | **Delete** /loyalty-program/:id | Delete Loyaltyprogram By ID
*LoyaltyProgramApi* | [**findLoyaltyprogram**](doc//LoyaltyProgramApi.md#findloyaltyprogram) | **Get** /loyalty-program | Get Loyaltyprogram List
*LoyaltyProgramApi* | [**getLoyaltyprogramByID**](doc//LoyaltyProgramApi.md#getloyaltyprogrambyid) | **Get** /loyalty-program/:id | Get Loyaltyprogram By ID
*LoyaltyProgramApi* | [**updateLoyaltyprogramByID**](doc//LoyaltyProgramApi.md#updateloyaltyprogrambyid) | **Put** /loyalty-program/:id | Update Loyaltyprogram By ID
*MerchantApi* | [**changePassword**](doc//MerchantApi.md#changepassword) | **Post** /merchant/change-password | Merchant Change Password
*MerchantApi* | [**checkResetToken**](doc//MerchantApi.md#checkresettoken) | **Get** /merchant/reset-password/:resetToken | Check Reset Token
*MerchantApi* | [**forgotPassword**](doc//MerchantApi.md#forgotpassword) | **Post** /merchant/forgot-password | Merchant Forgot Password
*MerchantApi* | [**getProfile**](doc//MerchantApi.md#getprofile) | **Get** /merchant/profile | Merchant Get Profile
*MerchantApi* | [**login**](doc//MerchantApi.md#login) | **Post** /merchant/login | Merchant Login
*MerchantApi* | [**refreshToken**](doc//MerchantApi.md#refreshtoken) | **Post** /merchant/refresh-token | Refresh Session
*MerchantApi* | [**resendEmailVerification**](doc//MerchantApi.md#resendemailverification) | **Post** /merchant/verification | Resend Email Verification
*MerchantApi* | [**resetPassword**](doc//MerchantApi.md#resetpassword) | **Post** /merchant/reset-password | Merchant Reset Password
*MerchantApi* | [**signup**](doc//MerchantApi.md#signup) | **Post** /merchant/signup | Merchant Signup
*MerchantApi* | [**updateProfile**](doc//MerchantApi.md#updateprofile) | **Post** /merchant/profile | Merchant Update Profile
*MerchantApi* | [**verification**](doc//MerchantApi.md#verification) | **Post** /merchant/verification/:token | Email Verification
*MerchantAccountApi* | [**createMerchantaccount**](doc//MerchantAccountApi.md#createmerchantaccount) | **Post** /merchant | Create Merchantaccount
*MerchantAccountApi* | [**deleteMerchantaccountByID**](doc//MerchantAccountApi.md#deletemerchantaccountbyid) | **Delete** /merchant/:id | Delete Merchantaccount By ID
*MerchantAccountApi* | [**findMerchantaccount**](doc//MerchantAccountApi.md#findmerchantaccount) | **Get** /merchant | Get Merchantaccount List
*MerchantAccountApi* | [**getMerchantaccountByID**](doc//MerchantAccountApi.md#getmerchantaccountbyid) | **Get** /merchant/:id | Get Merchantaccount By ID
*MerchantAccountApi* | [**updateMerchantaccountByID**](doc//MerchantAccountApi.md#updatemerchantaccountbyid) | **Put** /merchant/:id | Update Merchantaccount By ID
*ModifierApi* | [**createModifier**](doc//ModifierApi.md#createmodifier) | **Post** /modifier | Create Modifier
*ModifierApi* | [**deleteModifierByID**](doc//ModifierApi.md#deletemodifierbyid) | **Delete** /modifier/:id | Delete Modifier By ID
*ModifierApi* | [**findModifier**](doc//ModifierApi.md#findmodifier) | **Get** /modifier | Get Modifier List
*ModifierApi* | [**getModifierByID**](doc//ModifierApi.md#getmodifierbyid) | **Get** /modifier/:id | Get Modifier By ID
*ModifierApi* | [**updateModifierByID**](doc//ModifierApi.md#updatemodifierbyid) | **Put** /modifier/:id | Update Modifier By ID
*OrderApi* | [**createFeedback**](doc//OrderApi.md#createfeedback) | **Post** /order/:id/feedback | Create Feedback
*OrderApi* | [**createOrder**](doc//OrderApi.md#createorder) | **Post** /order | Create Order
*OrderApi* | [**createRefundByOrderID**](doc//OrderApi.md#createrefundbyorderid) | **Post** /order/:id/refund | Create Refund By Order ID
*OrderApi* | [**createSendReceiptByOrderID**](doc//OrderApi.md#createsendreceiptbyorderid) | **Post** /order/:id/send-receipt | Create Send Receipt By Order ID
*OrderApi* | [**deleteOrderByID**](doc//OrderApi.md#deleteorderbyid) | **Delete** /order/:id | Delete Order By ID
*OrderApi* | [**findFeedback**](doc//OrderApi.md#findfeedback) | **Get** /order/feedback | Get Feedback List
*OrderApi* | [**findOrder**](doc//OrderApi.md#findorder) | **Get** /order | Get Order List
*OrderApi* | [**getFeedbackByID**](doc//OrderApi.md#getfeedbackbyid) | **Get** /order/:id/feedback | Get Feedback By ID
*OrderApi* | [**getOrderByID**](doc//OrderApi.md#getorderbyid) | **Get** /order/:id | Get Order By ID
*OrderApi* | [**updateOrderByID**](doc//OrderApi.md#updateorderbyid) | **Put** /order/:id | Update Order By ID
*OutletApi* | [**createOutlet**](doc//OutletApi.md#createoutlet) | **Post** /outlet | Create Outlet
*OutletApi* | [**deleteOutletByID**](doc//OutletApi.md#deleteoutletbyid) | **Delete** /outlet/:id | Delete Outlet By ID
*OutletApi* | [**findOutlet**](doc//OutletApi.md#findoutlet) | **Get** /outlet | Get Outlet List
*OutletApi* | [**getOutletByID**](doc//OutletApi.md#getoutletbyid) | **Get** /outlet/:id | Get Outlet By ID
*OutletApi* | [**updateOutletByID**](doc//OutletApi.md#updateoutletbyid) | **Put** /outlet/:id | Update Outlet By ID
*PaymentConfigurationApi* | [**createPaymentConfiguration**](doc//PaymentConfigurationApi.md#createpaymentconfiguration) | **Post** /payment-configuration | Create PaymentConfiguration
*PaymentConfigurationApi* | [**deletePaymentConfigurationByID**](doc//PaymentConfigurationApi.md#deletepaymentconfigurationbyid) | **Delete** /payment-configuration/:id | Delete PaymentConfiguration By ID
*PaymentConfigurationApi* | [**findPaymentConfiguration**](doc//PaymentConfigurationApi.md#findpaymentconfiguration) | **Get** /payment-configuration | Get PaymentConfiguration List
*PaymentConfigurationApi* | [**getPaymentConfigurationByID**](doc//PaymentConfigurationApi.md#getpaymentconfigurationbyid) | **Get** /payment-configuration/:id | Get PaymentConfiguration By ID
*PaymentConfigurationApi* | [**updatePaymentConfigurationByID**](doc//PaymentConfigurationApi.md#updatepaymentconfigurationbyid) | **Put** /payment-configuration/:id | Update PaymentConfiguration By ID
*PromoApi* | [**createPromo**](doc//PromoApi.md#createpromo) | **Post** /promo | Create Promo
*PromoApi* | [**deletePromoByID**](doc//PromoApi.md#deletepromobyid) | **Delete** /promo/:id | Delete Promo By ID
*PromoApi* | [**findPromo**](doc//PromoApi.md#findpromo) | **Get** /promo | Get Promo List
*PromoApi* | [**getPromoByID**](doc//PromoApi.md#getpromobyid) | **Get** /promo/:id | Get Promo By ID
*PromoApi* | [**updatePromoByID**](doc//PromoApi.md#updatepromobyid) | **Put** /promo/:id | Update Promo By ID
*PurchaseOrderApi* | [**createPurchaseorder**](doc//PurchaseOrderApi.md#createpurchaseorder) | **Post** /purchase-order | Create Purchaseorder
*PurchaseOrderApi* | [**deletePurchaseorderByID**](doc//PurchaseOrderApi.md#deletepurchaseorderbyid) | **Delete** /purchase-order/:id | Delete Purchaseorder By ID
*PurchaseOrderApi* | [**findPurchaseorder**](doc//PurchaseOrderApi.md#findpurchaseorder) | **Get** /purchase-order | Get Purchaseorder List
*PurchaseOrderApi* | [**getPurchaseorderByID**](doc//PurchaseOrderApi.md#getpurchaseorderbyid) | **Get** /purchase-order/:id | Get Purchaseorder By ID
*PurchaseOrderApi* | [**updatePurchaseorderByID**](doc//PurchaseOrderApi.md#updatepurchaseorderbyid) | **Put** /purchase-order/:id | Update Purchaseorder By ID
*RecipeApi* | [**createRecipe**](doc//RecipeApi.md#createrecipe) | **Post** /recipe | Create Recipe
*RecipeApi* | [**deleteRecipeByID**](doc//RecipeApi.md#deleterecipebyid) | **Delete** /recipe/:itemId | Delete Recipe By ID
*RecipeApi* | [**findRecipe**](doc//RecipeApi.md#findrecipe) | **Get** /recipe | Get Recipe List
*RecipeApi* | [**getRecipeByID**](doc//RecipeApi.md#getrecipebyid) | **Get** /recipe/:itemId | Get Recipe By ID
*RecipeApi* | [**updateRecipeByID**](doc//RecipeApi.md#updaterecipebyid) | **Put** /recipe/:itemId | Update Recipe By ID
*RoleApi* | [**createRole**](doc//RoleApi.md#createrole) | **Post** /role | Create Role
*RoleApi* | [**deleteRoleByID**](doc//RoleApi.md#deleterolebyid) | **Delete** /role/:id | Delete Role By ID
*RoleApi* | [**findRole**](doc//RoleApi.md#findrole) | **Get** /role | Get Role List
*RoleApi* | [**getRoleByID**](doc//RoleApi.md#getrolebyid) | **Get** /role/:id | Get Role By ID
*RoleApi* | [**updateRoleByID**](doc//RoleApi.md#updaterolebyid) | **Put** /role/:id | Update Role By ID
*RolePermissionApi* | [**createRolepermission**](doc//RolePermissionApi.md#createrolepermission) | **Post** /role-permission | Create Rolepermission
*RolePermissionApi* | [**deleteRolepermissionByID**](doc//RolePermissionApi.md#deleterolepermissionbyid) | **Delete** /role-permission/:id | Delete Rolepermission By ID
*RolePermissionApi* | [**findRolepermission**](doc//RolePermissionApi.md#findrolepermission) | **Get** /role-permission | Get Rolepermission List
*RolePermissionApi* | [**getRolepermissionByID**](doc//RolePermissionApi.md#getrolepermissionbyid) | **Get** /role-permission/:id | Get Rolepermission By ID
*RolePermissionApi* | [**updateRolepermissionByID**](doc//RolePermissionApi.md#updaterolepermissionbyid) | **Put** /role-permission/:id | Update Rolepermission By ID
*SalesTypeApi* | [**createSalestype**](doc//SalesTypeApi.md#createsalestype) | **Post** /sales-type | Create Salestype
*SalesTypeApi* | [**deleteSalestypeByID**](doc//SalesTypeApi.md#deletesalestypebyid) | **Delete** /sales-type/:id | Delete Salestype By ID
*SalesTypeApi* | [**findSalestype**](doc//SalesTypeApi.md#findsalestype) | **Get** /sales-type | Get Salestype List
*SalesTypeApi* | [**getSalestypeByID**](doc//SalesTypeApi.md#getsalestypebyid) | **Get** /sales-type/:id | Get Salestype By ID
*SalesTypeApi* | [**updateSalestypeByID**](doc//SalesTypeApi.md#updatesalestypebyid) | **Put** /sales-type/:id | Update Salestype By ID
*ShiftApi* | [**endCurrentShift**](doc//ShiftApi.md#endcurrentshift) | **Post** /shift/end | End current shift
*ShiftApi* | [**getCurrentShift**](doc//ShiftApi.md#getcurrentshift) | **Get** /shift/current | Get current shift
*ShiftApi* | [**getShiftById**](doc//ShiftApi.md#getshiftbyid) | **Get** /shift/:id | Get Shift By Id
*ShiftApi* | [**getShifts**](doc//ShiftApi.md#getshifts) | **Get** /shift | Get Shift List
*ShiftApi* | [**startShift**](doc//ShiftApi.md#startshift) | **Post** /shift | Start Shift
*SplashScreenApi* | [**createSplashScreen**](doc//SplashScreenApi.md#createsplashscreen) | **Post** /splash-screen | Create Splash Screen
*SplashScreenApi* | [**deleteSplashScreentByID**](doc//SplashScreenApi.md#deletesplashscreentbyid) | **Delete** /splash-screen/:id | Delete Splash Screen By ID
*SplashScreenApi* | [**findSplashScreen**](doc//SplashScreenApi.md#findsplashscreen) | **Get** /splash-screen | Get Splash Screen List
*SplashScreenApi* | [**getSplashScreenByID**](doc//SplashScreenApi.md#getsplashscreenbyid) | **Get** /splash-screen/:id | Get Splash Screen By ID
*SplashScreenApi* | [**updateSplashScreenByID**](doc//SplashScreenApi.md#updatesplashscreenbyid) | **Put** /splash-screen/:id | Update Splash Screen By ID
*SupplierApi* | [**createSupplier**](doc//SupplierApi.md#createsupplier) | **Post** /supplier | Create Supplier
*SupplierApi* | [**deleteSupplierByID**](doc//SupplierApi.md#deletesupplierbyid) | **Delete** /supplier/:id | Delete Supplier By ID
*SupplierApi* | [**findSupplier**](doc//SupplierApi.md#findsupplier) | **Get** /supplier | Get Supplier List
*SupplierApi* | [**getSupplierByID**](doc//SupplierApi.md#getsupplierbyid) | **Get** /supplier/:id | Get Supplier By ID
*SupplierApi* | [**updateSupplierByID**](doc//SupplierApi.md#updatesupplierbyid) | **Put** /supplier/:id | Update Supplier By ID
*TableApi* | [**createTable**](doc//TableApi.md#createtable) | **Post** /table | Create Table
*TableApi* | [**deleteTableByID**](doc//TableApi.md#deletetablebyid) | **Delete** /table/:id | Delete Table By ID
*TableApi* | [**findTable**](doc//TableApi.md#findtable) | **Get** /table | Get Table List
*TableApi* | [**getTableByID**](doc//TableApi.md#gettablebyid) | **Get** /table/:id | Get Table By ID
*TableApi* | [**updateTableByID**](doc//TableApi.md#updatetablebyid) | **Put** /table/:id | Update Table By ID
*TableGroupApi* | [**createTablegroup**](doc//TableGroupApi.md#createtablegroup) | **Post** /table-group | Create Tablegroup
*TableGroupApi* | [**deleteTablegroupByID**](doc//TableGroupApi.md#deletetablegroupbyid) | **Delete** /table-group/:id | Delete Tablegroup By ID
*TableGroupApi* | [**findTablegroup**](doc//TableGroupApi.md#findtablegroup) | **Get** /table-group | Get Tablegroup List
*TableGroupApi* | [**getTablegroupByID**](doc//TableGroupApi.md#gettablegroupbyid) | **Get** /table-group/:id | Get Tablegroup By ID
*TableGroupApi* | [**updateTablegroupByID**](doc//TableGroupApi.md#updatetablegroupbyid) | **Put** /table-group/:id | Update Tablegroup By ID
*TaxApi* | [**createTax**](doc//TaxApi.md#createtax) | **Post** /tax | Create Tax
*TaxApi* | [**deleteTaxByID**](doc//TaxApi.md#deletetaxbyid) | **Delete** /tax/:id | Delete Tax By ID
*TaxApi* | [**findTax**](doc//TaxApi.md#findtax) | **Get** /tax | Get Tax List
*TaxApi* | [**getTaxByID**](doc//TaxApi.md#gettaxbyid) | **Get** /tax/:id | Get Tax By ID
*TaxApi* | [**updateTaxByID**](doc//TaxApi.md#updatetaxbyid) | **Put** /tax/:id | Update Tax By ID
*UnitApi* | [**createUnit**](doc//UnitApi.md#createunit) | **Post** /unit | Create Unit
*UnitApi* | [**deleteUnitByID**](doc//UnitApi.md#deleteunitbyid) | **Delete** /unit/:id | Delete Unit By ID
*UnitApi* | [**findUnit**](doc//UnitApi.md#findunit) | **Get** /unit | Get Unit List
*UnitApi* | [**getUnitByID**](doc//UnitApi.md#getunitbyid) | **Get** /unit/:id | Get Unit By ID
*UnitApi* | [**updateUnitByID**](doc//UnitApi.md#updateunitbyid) | **Put** /unit/:id | Update Unit By ID


## Documentation For Models

 - [AdjustmentStock](doc//AdjustmentStock.md)
 - [AdjustmentStockItems](doc//AdjustmentStockItems.md)
 - [AdjustmentStockVariants](doc//AdjustmentStockVariants.md)
 - [ChangePassword](doc//ChangePassword.md)
 - [CreateFeedback](doc//CreateFeedback.md)
 - [CreateFeedbackAllOf](doc//CreateFeedbackAllOf.md)
 - [Customer](doc//Customer.md)
 - [Discount](doc//Discount.md)
 - [Employee](doc//Employee.md)
 - [EndShift](doc//EndShift.md)
 - [Exception](doc//Exception.md)
 - [Feedback](doc//Feedback.md)
 - [ForbiddenException](doc//ForbiddenException.md)
 - [ForgotPassword](doc//ForgotPassword.md)
 - [Gratuity](doc//Gratuity.md)
 - [Image](doc//Image.md)
 - [ImageAllOf](doc//ImageAllOf.md)
 - [Ingredient](doc//Ingredient.md)
 - [IngredientCategory](doc//IngredientCategory.md)
 - [IngredientCostOfGoodsSold](doc//IngredientCostOfGoodsSold.md)
 - [IngredientInventory](doc//IngredientInventory.md)
 - [InlineResponse200](doc//InlineResponse200.md)
 - [InternalServerErrorException](doc//InternalServerErrorException.md)
 - [Item](doc//Item.md)
 - [ItemAllOf](doc//ItemAllOf.md)
 - [ItemAllOfInventory](doc//ItemAllOfInventory.md)
 - [ItemCategory](doc//ItemCategory.md)
 - [Login](doc//Login.md)
 - [LoyaltyProgram](doc//LoyaltyProgram.md)
 - [LoyaltyProgramPointFromBuyItem](doc//LoyaltyProgramPointFromBuyItem.md)
 - [LoyaltyProgramPointFromBuyItemEligibleCategories](doc//LoyaltyProgramPointFromBuyItemEligibleCategories.md)
 - [LoyaltyProgramPointFromBuyItemEligibleItems](doc//LoyaltyProgramPointFromBuyItemEligibleItems.md)
 - [LoyaltyProgramPointFromTotalSpent](doc//LoyaltyProgramPointFromTotalSpent.md)
 - [LoyaltyProgramRedeemRules](doc//LoyaltyProgramRedeemRules.md)
 - [MerchantAccount](doc//MerchantAccount.md)
 - [MerchantAccountBusinessInfo](doc//MerchantAccountBusinessInfo.md)
 - [MerchantAccountCheckOutSetting](doc//MerchantAccountCheckOutSetting.md)
 - [MerchantAccountCheckOutSettingOtherSettings](doc//MerchantAccountCheckOutSettingOtherSettings.md)
 - [MerchantAccountCheckOutSettingRoundingSettings](doc//MerchantAccountCheckOutSettingRoundingSettings.md)
 - [MerchantAccountCheckOutSettingStokLimit](doc//MerchantAccountCheckOutSettingStokLimit.md)
 - [MerchantAccountCheckOutSettingTaxAndGratuitySetting](doc//MerchantAccountCheckOutSettingTaxAndGratuitySetting.md)
 - [MerchantAccountEmailNotificationsSetting](doc//MerchantAccountEmailNotificationsSetting.md)
 - [MerchantAccountIdentification](doc//MerchantAccountIdentification.md)
 - [MerchantAccountNpwp](doc//MerchantAccountNpwp.md)
 - [MerchantAccountPersonalDetails](doc//MerchantAccountPersonalDetails.md)
 - [MerchantAccountPersonalDetailsEmail](doc//MerchantAccountPersonalDetailsEmail.md)
 - [MerchantAccountPersonalDetailsPhone](doc//MerchantAccountPersonalDetailsPhone.md)
 - [MerchantAccountPublicProfile](doc//MerchantAccountPublicProfile.md)
 - [MerchantAccountShift](doc//MerchantAccountShift.md)
 - [Modifier](doc//Modifier.md)
 - [ModifierOptions](doc//ModifierOptions.md)
 - [NotFoundException](doc//NotFoundException.md)
 - [Order](doc//Order.md)
 - [OrderCash](doc//OrderCash.md)
 - [OrderDiscounts](doc//OrderDiscounts.md)
 - [OrderGratuities](doc//OrderGratuities.md)
 - [OrderItems](doc//OrderItems.md)
 - [OrderModifiers](doc//OrderModifiers.md)
 - [OrderOptionIds](doc//OrderOptionIds.md)
 - [OrderPayments](doc//OrderPayments.md)
 - [OrderTaxes](doc//OrderTaxes.md)
 - [Outlet](doc//Outlet.md)
 - [OutletReceiptSettings](doc//OutletReceiptSettings.md)
 - [OutletReceiptSettingsOutletInfo](doc//OutletReceiptSettingsOutletInfo.md)
 - [PaymentConfiguration](doc//PaymentConfiguration.md)
 - [PaymentConfigurationConfigurations](doc//PaymentConfigurationConfigurations.md)
 - [PaymentConfigurationGroup](doc//PaymentConfigurationGroup.md)
 - [Profile](doc//Profile.md)
 - [ProfileAllOf](doc//ProfileAllOf.md)
 - [Promo](doc//Promo.md)
 - [PromoPromoPeriod](doc//PromoPromoPeriod.md)
 - [PromoPromoPeriodDateRange](doc//PromoPromoPeriodDateRange.md)
 - [PromoPromoPeriodTimeRange](doc//PromoPromoPeriodTimeRange.md)
 - [PromoPromoPeriodWeekDay](doc//PromoPromoPeriodWeekDay.md)
 - [PromoRequirement](doc//PromoRequirement.md)
 - [PromoRequirementEligibleCategories](doc//PromoRequirementEligibleCategories.md)
 - [PromoRequirementEligibleItems](doc//PromoRequirementEligibleItems.md)
 - [PromoReward](doc//PromoReward.md)
 - [PromoRewardDiscount](doc//PromoRewardDiscount.md)
 - [PurchaseOrder](doc//PurchaseOrder.md)
 - [PurchaseOrderItems](doc//PurchaseOrderItems.md)
 - [PurchaseOrderVariants](doc//PurchaseOrderVariants.md)
 - [Recipe](doc//Recipe.md)
 - [RecipeIngredients](doc//RecipeIngredients.md)
 - [RefreshToken](doc//RefreshToken.md)
 - [RefundOrder](doc//RefundOrder.md)
 - [RefundOrderItems](doc//RefundOrderItems.md)
 - [ResendEmailVerification](doc//ResendEmailVerification.md)
 - [ResetPassword](doc//ResetPassword.md)
 - [Role](doc//Role.md)
 - [RolePermission](doc//RolePermission.md)
 - [SalesType](doc//SalesType.md)
 - [SendReceipt](doc//SendReceipt.md)
 - [Shift](doc//Shift.md)
 - [ShiftCard](doc//ShiftCard.md)
 - [ShiftCash](doc//ShiftCash.md)
 - [ShiftOthers](doc//ShiftOthers.md)
 - [ShiftSoldItems](doc//ShiftSoldItems.md)
 - [Signup](doc//Signup.md)
 - [SignupAllOf](doc//SignupAllOf.md)
 - [SplashScreen](doc//SplashScreen.md)
 - [StartShift](doc//StartShift.md)
 - [Supplier](doc//Supplier.md)
 - [Table](doc//Table.md)
 - [TableGroup](doc//TableGroup.md)
 - [TableLocation](doc//TableLocation.md)
 - [Tax](doc//Tax.md)
 - [Token](doc//Token.md)
 - [UnauthorizedException](doc//UnauthorizedException.md)
 - [Unit](doc//Unit.md)
 - [UpdateItem](doc//UpdateItem.md)
 - [UpdateItemCostOfGoodsSold](doc//UpdateItemCostOfGoodsSold.md)
 - [UpdateItemInventory](doc//UpdateItemInventory.md)
 - [UpdateItemPricePerSalesType](doc//UpdateItemPricePerSalesType.md)
 - [UpdateItemVariants](doc//UpdateItemVariants.md)
 - [UpdateProfile](doc//UpdateProfile.md)
 - [ValidationException](doc//ValidationException.md)


## Documentation For Authorization


## APIKey

- **Type**: API key
- **API key parameter name**: X-API-Key
- **Location**: HTTP header

## JWT

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header


## Author




