# pointpos_api.api.MerchantApi

## Load the API package
```dart
import 'package:pointpos_api/api.dart';
```

All URIs are relative to *http://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**changePassword**](MerchantApi.md#changePassword) | **Post** /merchant/change-password | Merchant Change Password
[**checkResetToken**](MerchantApi.md#checkResetToken) | **Get** /merchant/reset-password/:resetToken | Check Reset Token
[**forgotPassword**](MerchantApi.md#forgotPassword) | **Post** /merchant/forgot-password | Merchant Forgot Password
[**getProfile**](MerchantApi.md#getProfile) | **Get** /merchant/profile | Merchant Get Profile
[**login**](MerchantApi.md#login) | **Post** /merchant/login | Merchant Login
[**refreshToken**](MerchantApi.md#refreshToken) | **Post** /merchant/refresh-token | Refresh Session
[**resendEmailVerification**](MerchantApi.md#resendEmailVerification) | **Post** /merchant/verification | Resend Email Verification
[**resetPassword**](MerchantApi.md#resetPassword) | **Post** /merchant/reset-password | Merchant Reset Password
[**signup**](MerchantApi.md#signup) | **Post** /merchant/signup | Merchant Signup
[**updateProfile**](MerchantApi.md#updateProfile) | **Post** /merchant/profile | Merchant Update Profile
[**verification**](MerchantApi.md#verification) | **Post** /merchant/verification/:token | Email Verification


# **changePassword**
> Token changePassword(xAPIKey, authorization, body)

Merchant Change Password

Merchant Change Password

### Example 
```dart
import 'package:pointpos_api/api.dart';
// TODO Configure API key authorization: APIKey
//pointpos_api.api.Configuration.apiKey{'X-API-Key'} = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//pointpos_api.api.Configuration.apiKeyPrefix{'X-API-Key'} = "Bearer";
// TODO Configure API key authorization: JWT
//pointpos_api.api.Configuration.apiKey{'Authorization'} = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//pointpos_api.api.Configuration.apiKeyPrefix{'Authorization'} = "Bearer";

var api_instance = new MerchantApi();
var xAPIKey = xAPIKey_example; // String | API Key
var authorization = authorization_example; // String | JWT Authorization
var body = new ChangePassword(); // ChangePassword | 

try { 
    var result = api_instance.changePassword(xAPIKey, authorization, body);
    print(result);
} catch (e) {
    print("Exception when calling MerchantApi->changePassword: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **xAPIKey** | **String**| API Key | [default to null]
 **authorization** | **String**| JWT Authorization | [default to null]
 **body** | [**ChangePassword**](ChangePassword.md)|  | 

### Return type

[**Token**](Token.md)

### Authorization

[APIKey](../README.md#APIKey), [JWT](../README.md#JWT)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **checkResetToken**
> checkResetToken(xAPIKey, resetToken)

Check Reset Token

Check Reset Token

### Example 
```dart
import 'package:pointpos_api/api.dart';
// TODO Configure API key authorization: APIKey
//pointpos_api.api.Configuration.apiKey{'X-API-Key'} = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//pointpos_api.api.Configuration.apiKeyPrefix{'X-API-Key'} = "Bearer";

var api_instance = new MerchantApi();
var xAPIKey = xAPIKey_example; // String | API Key
var resetToken = tLFm4qZVdhErX8xnrauQERKcwVPeJdM5; // String | 

try { 
    api_instance.checkResetToken(xAPIKey, resetToken);
} catch (e) {
    print("Exception when calling MerchantApi->checkResetToken: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **xAPIKey** | **String**| API Key | [default to null]
 **resetToken** | **String**|  | [default to null]

### Return type

void (empty response body)

### Authorization

[APIKey](../README.md#APIKey)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **forgotPassword**
> forgotPassword(xAPIKey, body)

Merchant Forgot Password

Merchant Forgot Password

### Example 
```dart
import 'package:pointpos_api/api.dart';
// TODO Configure API key authorization: APIKey
//pointpos_api.api.Configuration.apiKey{'X-API-Key'} = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//pointpos_api.api.Configuration.apiKeyPrefix{'X-API-Key'} = "Bearer";

var api_instance = new MerchantApi();
var xAPIKey = xAPIKey_example; // String | API Key
var body = new ForgotPassword(); // ForgotPassword | 

try { 
    api_instance.forgotPassword(xAPIKey, body);
} catch (e) {
    print("Exception when calling MerchantApi->forgotPassword: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **xAPIKey** | **String**| API Key | [default to null]
 **body** | [**ForgotPassword**](ForgotPassword.md)|  | 

### Return type

void (empty response body)

### Authorization

[APIKey](../README.md#APIKey)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getProfile**
> Profile getProfile(xAPIKey, authorization)

Merchant Get Profile

Merchant Get Profile

### Example 
```dart
import 'package:pointpos_api/api.dart';
// TODO Configure API key authorization: APIKey
//pointpos_api.api.Configuration.apiKey{'X-API-Key'} = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//pointpos_api.api.Configuration.apiKeyPrefix{'X-API-Key'} = "Bearer";
// TODO Configure API key authorization: JWT
//pointpos_api.api.Configuration.apiKey{'Authorization'} = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//pointpos_api.api.Configuration.apiKeyPrefix{'Authorization'} = "Bearer";

var api_instance = new MerchantApi();
var xAPIKey = xAPIKey_example; // String | API Key
var authorization = authorization_example; // String | JWT Authorization

try { 
    var result = api_instance.getProfile(xAPIKey, authorization);
    print(result);
} catch (e) {
    print("Exception when calling MerchantApi->getProfile: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **xAPIKey** | **String**| API Key | [default to null]
 **authorization** | **String**| JWT Authorization | [default to null]

### Return type

[**Profile**](Profile.md)

### Authorization

[APIKey](../README.md#APIKey), [JWT](../README.md#JWT)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **login**
> Token login(xAPIKey, body)

Merchant Login

Merchant Login

### Example 
```dart
import 'package:pointpos_api/api.dart';
// TODO Configure API key authorization: APIKey
//pointpos_api.api.Configuration.apiKey{'X-API-Key'} = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//pointpos_api.api.Configuration.apiKeyPrefix{'X-API-Key'} = "Bearer";

var api_instance = new MerchantApi();
var xAPIKey = xAPIKey_example; // String | API Key
var body = new Login(); // Login | 

try { 
    var result = api_instance.login(xAPIKey, body);
    print(result);
} catch (e) {
    print("Exception when calling MerchantApi->login: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **xAPIKey** | **String**| API Key | [default to null]
 **body** | [**Login**](Login.md)|  | 

### Return type

[**Token**](Token.md)

### Authorization

[APIKey](../README.md#APIKey)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **refreshToken**
> Token refreshToken(xAPIKey, authorization, body)

Refresh Session

Refresh Session

### Example 
```dart
import 'package:pointpos_api/api.dart';
// TODO Configure API key authorization: APIKey
//pointpos_api.api.Configuration.apiKey{'X-API-Key'} = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//pointpos_api.api.Configuration.apiKeyPrefix{'X-API-Key'} = "Bearer";
// TODO Configure API key authorization: JWT
//pointpos_api.api.Configuration.apiKey{'Authorization'} = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//pointpos_api.api.Configuration.apiKeyPrefix{'Authorization'} = "Bearer";

var api_instance = new MerchantApi();
var xAPIKey = xAPIKey_example; // String | API Key
var authorization = authorization_example; // String | JWT Authorization
var body = new RefreshToken(); // RefreshToken | 

try { 
    var result = api_instance.refreshToken(xAPIKey, authorization, body);
    print(result);
} catch (e) {
    print("Exception when calling MerchantApi->refreshToken: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **xAPIKey** | **String**| API Key | [default to null]
 **authorization** | **String**| JWT Authorization | [default to null]
 **body** | [**RefreshToken**](RefreshToken.md)|  | [optional] 

### Return type

[**Token**](Token.md)

### Authorization

[APIKey](../README.md#APIKey), [JWT](../README.md#JWT)

### HTTP request headers

 - **Content-Type**: application/octet-stream
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **resendEmailVerification**
> resendEmailVerification(xAPIKey, body)

Resend Email Verification

Resend Email Verification

### Example 
```dart
import 'package:pointpos_api/api.dart';
// TODO Configure API key authorization: APIKey
//pointpos_api.api.Configuration.apiKey{'X-API-Key'} = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//pointpos_api.api.Configuration.apiKeyPrefix{'X-API-Key'} = "Bearer";

var api_instance = new MerchantApi();
var xAPIKey = xAPIKey_example; // String | API Key
var body = new ResendEmailVerification(); // ResendEmailVerification | 

try { 
    api_instance.resendEmailVerification(xAPIKey, body);
} catch (e) {
    print("Exception when calling MerchantApi->resendEmailVerification: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **xAPIKey** | **String**| API Key | [default to null]
 **body** | [**ResendEmailVerification**](ResendEmailVerification.md)|  | 

### Return type

void (empty response body)

### Authorization

[APIKey](../README.md#APIKey)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **resetPassword**
> resetPassword(xAPIKey, body)

Merchant Reset Password

Merchant Reset Password

### Example 
```dart
import 'package:pointpos_api/api.dart';
// TODO Configure API key authorization: APIKey
//pointpos_api.api.Configuration.apiKey{'X-API-Key'} = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//pointpos_api.api.Configuration.apiKeyPrefix{'X-API-Key'} = "Bearer";

var api_instance = new MerchantApi();
var xAPIKey = xAPIKey_example; // String | API Key
var body = new ResetPassword(); // ResetPassword | 

try { 
    api_instance.resetPassword(xAPIKey, body);
} catch (e) {
    print("Exception when calling MerchantApi->resetPassword: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **xAPIKey** | **String**| API Key | [default to null]
 **body** | [**ResetPassword**](ResetPassword.md)|  | 

### Return type

void (empty response body)

### Authorization

[APIKey](../README.md#APIKey)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **signup**
> signup(xAPIKey, body)

Merchant Signup

Merchant Signup

### Example 
```dart
import 'package:pointpos_api/api.dart';
// TODO Configure API key authorization: APIKey
//pointpos_api.api.Configuration.apiKey{'X-API-Key'} = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//pointpos_api.api.Configuration.apiKeyPrefix{'X-API-Key'} = "Bearer";

var api_instance = new MerchantApi();
var xAPIKey = xAPIKey_example; // String | API Key
var body = new Signup(); // Signup | 

try { 
    api_instance.signup(xAPIKey, body);
} catch (e) {
    print("Exception when calling MerchantApi->signup: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **xAPIKey** | **String**| API Key | [default to null]
 **body** | [**Signup**](Signup.md)|  | 

### Return type

void (empty response body)

### Authorization

[APIKey](../README.md#APIKey)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **updateProfile**
> Token updateProfile(body)

Merchant Update Profile

Merchant Update Profile

### Example 
```dart
import 'package:pointpos_api/api.dart';
// TODO Configure API key authorization: APIKey
//pointpos_api.api.Configuration.apiKey{'X-API-Key'} = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//pointpos_api.api.Configuration.apiKeyPrefix{'X-API-Key'} = "Bearer";
// TODO Configure API key authorization: JWT
//pointpos_api.api.Configuration.apiKey{'Authorization'} = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//pointpos_api.api.Configuration.apiKeyPrefix{'Authorization'} = "Bearer";

var api_instance = new MerchantApi();
var body = new UpdateProfile(); // UpdateProfile | 

try { 
    var result = api_instance.updateProfile(body);
    print(result);
} catch (e) {
    print("Exception when calling MerchantApi->updateProfile: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**UpdateProfile**](UpdateProfile.md)|  | 

### Return type

[**Token**](Token.md)

### Authorization

[APIKey](../README.md#APIKey), [JWT](../README.md#JWT)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **verification**
> verification(xAPIKey, token)

Email Verification

Email Verification

### Example 
```dart
import 'package:pointpos_api/api.dart';
// TODO Configure API key authorization: APIKey
//pointpos_api.api.Configuration.apiKey{'X-API-Key'} = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//pointpos_api.api.Configuration.apiKeyPrefix{'X-API-Key'} = "Bearer";

var api_instance = new MerchantApi();
var xAPIKey = xAPIKey_example; // String | API Key
var token = tLFm4qZVdhErX8xnrauQERKcwVPeJdM5; // String | 

try { 
    api_instance.verification(xAPIKey, token);
} catch (e) {
    print("Exception when calling MerchantApi->verification: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **xAPIKey** | **String**| API Key | [default to null]
 **token** | **String**|  | [default to null]

### Return type

void (empty response body)

### Authorization

[APIKey](../README.md#APIKey)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

