library pointpos_api.api;

import 'package:http/http.dart' as http;
import 'package:jaguar_serializer/jaguar_serializer.dart';
import 'package:jaguar_retrofit/jaguar_retrofit.dart';
import 'package:pointpos_api/auth/api_key_auth.dart';
import 'package:pointpos_api/auth/basic_auth.dart';
import 'package:pointpos_api/auth/oauth.dart';
import 'package:jaguar_mimetype/jaguar_mimetype.dart';

import 'package:pointpos_api/api/adjustment_stock_api.dart';
import 'package:pointpos_api/api/customer_api.dart';
import 'package:pointpos_api/api/discount_api.dart';
import 'package:pointpos_api/api/document_api.dart';
import 'package:pointpos_api/api/employee_api.dart';
import 'package:pointpos_api/api/gratuity_api.dart';
import 'package:pointpos_api/api/ingredient_api.dart';
import 'package:pointpos_api/api/ingredient_category_api.dart';
import 'package:pointpos_api/api/item_api.dart';
import 'package:pointpos_api/api/item_category_api.dart';
import 'package:pointpos_api/api/loyalty_program_api.dart';
import 'package:pointpos_api/api/merchant_api.dart';
import 'package:pointpos_api/api/merchant_account_api.dart';
import 'package:pointpos_api/api/modifier_api.dart';
import 'package:pointpos_api/api/order_api.dart';
import 'package:pointpos_api/api/outlet_api.dart';
import 'package:pointpos_api/api/payment_configuration_api.dart';
import 'package:pointpos_api/api/promo_api.dart';
import 'package:pointpos_api/api/purchase_order_api.dart';
import 'package:pointpos_api/api/recipe_api.dart';
import 'package:pointpos_api/api/role_api.dart';
import 'package:pointpos_api/api/role_permission_api.dart';
import 'package:pointpos_api/api/sales_type_api.dart';
import 'package:pointpos_api/api/shift_api.dart';
import 'package:pointpos_api/api/splash_screen_api.dart';
import 'package:pointpos_api/api/supplier_api.dart';
import 'package:pointpos_api/api/table_api.dart';
import 'package:pointpos_api/api/table_group_api.dart';
import 'package:pointpos_api/api/tax_api.dart';
import 'package:pointpos_api/api/unit_api.dart';

import 'package:pointpos_api/model/adjustment_stock.dart';
import 'package:pointpos_api/model/adjustment_stock_items.dart';
import 'package:pointpos_api/model/adjustment_stock_variants.dart';
import 'package:pointpos_api/model/change_password.dart';
import 'package:pointpos_api/model/create_feedback.dart';
import 'package:pointpos_api/model/create_feedback_all_of.dart';
import 'package:pointpos_api/model/customer.dart';
import 'package:pointpos_api/model/discount.dart';
import 'package:pointpos_api/model/employee.dart';
import 'package:pointpos_api/model/end_shift.dart';
import 'package:pointpos_api/model/exception.dart';
import 'package:pointpos_api/model/feedback.dart';
import 'package:pointpos_api/model/forbidden_exception.dart';
import 'package:pointpos_api/model/forgot_password.dart';
import 'package:pointpos_api/model/gratuity.dart';
import 'package:pointpos_api/model/image.dart';
import 'package:pointpos_api/model/image_all_of.dart';
import 'package:pointpos_api/model/ingredient.dart';
import 'package:pointpos_api/model/ingredient_category.dart';
import 'package:pointpos_api/model/ingredient_cost_of_goods_sold.dart';
import 'package:pointpos_api/model/ingredient_inventory.dart';
import 'package:pointpos_api/model/inline_response200.dart';
import 'package:pointpos_api/model/internal_server_error_exception.dart';
import 'package:pointpos_api/model/item.dart';
import 'package:pointpos_api/model/item_all_of.dart';
import 'package:pointpos_api/model/item_all_of_inventory.dart';
import 'package:pointpos_api/model/item_category.dart';
import 'package:pointpos_api/model/login.dart';
import 'package:pointpos_api/model/loyalty_program.dart';
import 'package:pointpos_api/model/loyalty_program_point_from_buy_item.dart';
import 'package:pointpos_api/model/loyalty_program_point_from_buy_item_eligible_categories.dart';
import 'package:pointpos_api/model/loyalty_program_point_from_buy_item_eligible_items.dart';
import 'package:pointpos_api/model/loyalty_program_point_from_total_spent.dart';
import 'package:pointpos_api/model/loyalty_program_redeem_rules.dart';
import 'package:pointpos_api/model/merchant_account.dart';
import 'package:pointpos_api/model/merchant_account_business_info.dart';
import 'package:pointpos_api/model/merchant_account_check_out_setting.dart';
import 'package:pointpos_api/model/merchant_account_check_out_setting_other_settings.dart';
import 'package:pointpos_api/model/merchant_account_check_out_setting_rounding_settings.dart';
import 'package:pointpos_api/model/merchant_account_check_out_setting_stok_limit.dart';
import 'package:pointpos_api/model/merchant_account_check_out_setting_tax_and_gratuity_setting.dart';
import 'package:pointpos_api/model/merchant_account_email_notifications_setting.dart';
import 'package:pointpos_api/model/merchant_account_identification.dart';
import 'package:pointpos_api/model/merchant_account_npwp.dart';
import 'package:pointpos_api/model/merchant_account_personal_details.dart';
import 'package:pointpos_api/model/merchant_account_personal_details_email.dart';
import 'package:pointpos_api/model/merchant_account_personal_details_phone.dart';
import 'package:pointpos_api/model/merchant_account_public_profile.dart';
import 'package:pointpos_api/model/merchant_account_shift.dart';
import 'package:pointpos_api/model/modifier.dart';
import 'package:pointpos_api/model/modifier_options.dart';
import 'package:pointpos_api/model/not_found_exception.dart';
import 'package:pointpos_api/model/order.dart';
import 'package:pointpos_api/model/order_cash.dart';
import 'package:pointpos_api/model/order_discounts.dart';
import 'package:pointpos_api/model/order_gratuities.dart';
import 'package:pointpos_api/model/order_items.dart';
import 'package:pointpos_api/model/order_modifiers.dart';
import 'package:pointpos_api/model/order_option_ids.dart';
import 'package:pointpos_api/model/order_payments.dart';
import 'package:pointpos_api/model/order_taxes.dart';
import 'package:pointpos_api/model/outlet.dart';
import 'package:pointpos_api/model/outlet_receipt_settings.dart';
import 'package:pointpos_api/model/outlet_receipt_settings_outlet_info.dart';
import 'package:pointpos_api/model/payment_configuration.dart';
import 'package:pointpos_api/model/payment_configuration_configurations.dart';
import 'package:pointpos_api/model/payment_configuration_group.dart';
import 'package:pointpos_api/model/profile.dart';
import 'package:pointpos_api/model/profile_all_of.dart';
import 'package:pointpos_api/model/promo.dart';
import 'package:pointpos_api/model/promo_promo_period.dart';
import 'package:pointpos_api/model/promo_promo_period_date_range.dart';
import 'package:pointpos_api/model/promo_promo_period_time_range.dart';
import 'package:pointpos_api/model/promo_promo_period_week_day.dart';
import 'package:pointpos_api/model/promo_requirement.dart';
import 'package:pointpos_api/model/promo_requirement_eligible_categories.dart';
import 'package:pointpos_api/model/promo_requirement_eligible_items.dart';
import 'package:pointpos_api/model/promo_reward.dart';
import 'package:pointpos_api/model/promo_reward_discount.dart';
import 'package:pointpos_api/model/purchase_order.dart';
import 'package:pointpos_api/model/purchase_order_items.dart';
import 'package:pointpos_api/model/purchase_order_variants.dart';
import 'package:pointpos_api/model/recipe.dart';
import 'package:pointpos_api/model/recipe_ingredients.dart';
import 'package:pointpos_api/model/refresh_token.dart';
import 'package:pointpos_api/model/refund_order.dart';
import 'package:pointpos_api/model/refund_order_items.dart';
import 'package:pointpos_api/model/resend_email_verification.dart';
import 'package:pointpos_api/model/reset_password.dart';
import 'package:pointpos_api/model/role.dart';
import 'package:pointpos_api/model/role_permission.dart';
import 'package:pointpos_api/model/sales_type.dart';
import 'package:pointpos_api/model/send_receipt.dart';
import 'package:pointpos_api/model/shift.dart';
import 'package:pointpos_api/model/shift_card.dart';
import 'package:pointpos_api/model/shift_cash.dart';
import 'package:pointpos_api/model/shift_others.dart';
import 'package:pointpos_api/model/shift_sold_items.dart';
import 'package:pointpos_api/model/signup.dart';
import 'package:pointpos_api/model/signup_all_of.dart';
import 'package:pointpos_api/model/splash_screen.dart';
import 'package:pointpos_api/model/start_shift.dart';
import 'package:pointpos_api/model/supplier.dart';
import 'package:pointpos_api/model/table.dart';
import 'package:pointpos_api/model/table_group.dart';
import 'package:pointpos_api/model/table_location.dart';
import 'package:pointpos_api/model/tax.dart';
import 'package:pointpos_api/model/token.dart';
import 'package:pointpos_api/model/unauthorized_exception.dart';
import 'package:pointpos_api/model/unit.dart';
import 'package:pointpos_api/model/update_item.dart';
import 'package:pointpos_api/model/update_item_cost_of_goods_sold.dart';
import 'package:pointpos_api/model/update_item_inventory.dart';
import 'package:pointpos_api/model/update_item_price_per_sales_type.dart';
import 'package:pointpos_api/model/update_item_variants.dart';
import 'package:pointpos_api/model/update_profile.dart';
import 'package:pointpos_api/model/validation_exception.dart';



final _jsonJaguarRepo = JsonRepo()
..add(AdjustmentStockSerializer())
..add(AdjustmentStockItemsSerializer())
..add(AdjustmentStockVariantsSerializer())
..add(ChangePasswordSerializer())
..add(CreateFeedbackSerializer())
..add(CreateFeedbackAllOfSerializer())
..add(CustomerSerializer())
..add(DiscountSerializer())
..add(EmployeeSerializer())
..add(EndShiftSerializer())
..add(ExceptionSerializer())
..add(FeedbackSerializer())
..add(ForbiddenExceptionSerializer())
..add(ForgotPasswordSerializer())
..add(GratuitySerializer())
..add(ImageSerializer())
..add(ImageAllOfSerializer())
..add(IngredientSerializer())
..add(IngredientCategorySerializer())
..add(IngredientCostOfGoodsSoldSerializer())
..add(IngredientInventorySerializer())
..add(InlineResponse200Serializer())
..add(InternalServerErrorExceptionSerializer())
..add(ItemSerializer())
..add(ItemAllOfSerializer())
..add(ItemAllOfInventorySerializer())
..add(ItemCategorySerializer())
..add(LoginSerializer())
..add(LoyaltyProgramSerializer())
..add(LoyaltyProgramPointFromBuyItemSerializer())
..add(LoyaltyProgramPointFromBuyItemEligibleCategoriesSerializer())
..add(LoyaltyProgramPointFromBuyItemEligibleItemsSerializer())
..add(LoyaltyProgramPointFromTotalSpentSerializer())
..add(LoyaltyProgramRedeemRulesSerializer())
..add(MerchantAccountSerializer())
..add(MerchantAccountBusinessInfoSerializer())
..add(MerchantAccountCheckOutSettingSerializer())
..add(MerchantAccountCheckOutSettingOtherSettingsSerializer())
..add(MerchantAccountCheckOutSettingRoundingSettingsSerializer())
..add(MerchantAccountCheckOutSettingStokLimitSerializer())
..add(MerchantAccountCheckOutSettingTaxAndGratuitySettingSerializer())
..add(MerchantAccountEmailNotificationsSettingSerializer())
..add(MerchantAccountIdentificationSerializer())
..add(MerchantAccountNpwpSerializer())
..add(MerchantAccountPersonalDetailsSerializer())
..add(MerchantAccountPersonalDetailsEmailSerializer())
..add(MerchantAccountPersonalDetailsPhoneSerializer())
..add(MerchantAccountPublicProfileSerializer())
..add(MerchantAccountShiftSerializer())
..add(ModifierSerializer())
..add(ModifierOptionsSerializer())
..add(NotFoundExceptionSerializer())
..add(OrderSerializer())
..add(OrderCashSerializer())
..add(OrderDiscountsSerializer())
..add(OrderGratuitiesSerializer())
..add(OrderItemsSerializer())
..add(OrderModifiersSerializer())
..add(OrderOptionIdsSerializer())
..add(OrderPaymentsSerializer())
..add(OrderTaxesSerializer())
..add(OutletSerializer())
..add(OutletReceiptSettingsSerializer())
..add(OutletReceiptSettingsOutletInfoSerializer())
..add(PaymentConfigurationSerializer())
..add(PaymentConfigurationConfigurationsSerializer())
..add(PaymentConfigurationGroupSerializer())
..add(ProfileSerializer())
..add(ProfileAllOfSerializer())
..add(PromoSerializer())
..add(PromoPromoPeriodSerializer())
..add(PromoPromoPeriodDateRangeSerializer())
..add(PromoPromoPeriodTimeRangeSerializer())
..add(PromoPromoPeriodWeekDaySerializer())
..add(PromoRequirementSerializer())
..add(PromoRequirementEligibleCategoriesSerializer())
..add(PromoRequirementEligibleItemsSerializer())
..add(PromoRewardSerializer())
..add(PromoRewardDiscountSerializer())
..add(PurchaseOrderSerializer())
..add(PurchaseOrderItemsSerializer())
..add(PurchaseOrderVariantsSerializer())
..add(RecipeSerializer())
..add(RecipeIngredientsSerializer())
..add(RefreshTokenSerializer())
..add(RefundOrderSerializer())
..add(RefundOrderItemsSerializer())
..add(ResendEmailVerificationSerializer())
..add(ResetPasswordSerializer())
..add(RoleSerializer())
..add(RolePermissionSerializer())
..add(SalesTypeSerializer())
..add(SendReceiptSerializer())
..add(ShiftSerializer())
..add(ShiftCardSerializer())
..add(ShiftCashSerializer())
..add(ShiftOthersSerializer())
..add(ShiftSoldItemsSerializer())
..add(SignupSerializer())
..add(SignupAllOfSerializer())
..add(SplashScreenSerializer())
..add(StartShiftSerializer())
..add(SupplierSerializer())
..add(TableSerializer())
..add(TableGroupSerializer())
..add(TableLocationSerializer())
..add(TaxSerializer())
..add(TokenSerializer())
..add(UnauthorizedExceptionSerializer())
..add(UnitSerializer())
..add(UpdateItemSerializer())
..add(UpdateItemCostOfGoodsSoldSerializer())
..add(UpdateItemInventorySerializer())
..add(UpdateItemPricePerSalesTypeSerializer())
..add(UpdateItemVariantsSerializer())
..add(UpdateProfileSerializer())
..add(ValidationExceptionSerializer())
;
final Map<String, CodecRepo> defaultConverters = {
    MimeTypes.json: _jsonJaguarRepo,
};



final _defaultInterceptors = [OAuthInterceptor(), BasicAuthInterceptor(), ApiKeyAuthInterceptor()];

class PointposApi {
    List<Interceptor> interceptors;
    String basePath = "http://localhost";
    Route _baseRoute;
    final Duration timeout;

    /**
    * Add custom global interceptors, put overrideInterceptors to true to set your interceptors only (auth interceptors will not be added)
    */
    PointposApi({List<Interceptor> interceptors, bool overrideInterceptors = false, String baseUrl, this.timeout = const Duration(minutes: 2)}) {
        _baseRoute = Route(baseUrl ?? basePath).withClient(globalClient ?? http.Client());
        if(interceptors == null) {
            this.interceptors = _defaultInterceptors;
        }
        else if(overrideInterceptors){
            this.interceptors = interceptors;
        }
        else {
            this.interceptors = List.from(_defaultInterceptors)..addAll(interceptors);
        }

        this.interceptors.forEach((interceptor) {
            _baseRoute.before(interceptor.before);
            _baseRoute.after(interceptor.after);
        });
    }

    void setOAuthToken(String name, String token) {
        (_defaultInterceptors[0] as OAuthInterceptor).tokens[name] = token;
    }

    void setBasicAuth(String name, String username, String password) {
        (_defaultInterceptors[1] as BasicAuthInterceptor).authInfo[name] = BasicAuthInfo(username, password);
    }

    void setApiKey(String name, String apiKey) {
        (_defaultInterceptors[2] as ApiKeyAuthInterceptor).apiKeys[name] = apiKey;
    }

    
    /**
    * Get AdjustmentStockApi instance, base route and serializer can be overridden by a given but be careful,
    * by doing that all interceptors will not be executed
    */
    AdjustmentStockApi getAdjustmentStockApi({Route base, Map<String, CodecRepo> converters}) {
        if(base == null) {
            base = _baseRoute;
        }
        if(converters == null) {
            converters = defaultConverters;
        }
        return AdjustmentStockApi(base: base, converters: converters, timeout: timeout);
    }

    
    /**
    * Get CustomerApi instance, base route and serializer can be overridden by a given but be careful,
    * by doing that all interceptors will not be executed
    */
    CustomerApi getCustomerApi({Route base, Map<String, CodecRepo> converters}) {
        if(base == null) {
            base = _baseRoute;
        }
        if(converters == null) {
            converters = defaultConverters;
        }
        return CustomerApi(base: base, converters: converters, timeout: timeout);
    }

    
    /**
    * Get DiscountApi instance, base route and serializer can be overridden by a given but be careful,
    * by doing that all interceptors will not be executed
    */
    DiscountApi getDiscountApi({Route base, Map<String, CodecRepo> converters}) {
        if(base == null) {
            base = _baseRoute;
        }
        if(converters == null) {
            converters = defaultConverters;
        }
        return DiscountApi(base: base, converters: converters, timeout: timeout);
    }

    
    /**
    * Get DocumentApi instance, base route and serializer can be overridden by a given but be careful,
    * by doing that all interceptors will not be executed
    */
    DocumentApi getDocumentApi({Route base, Map<String, CodecRepo> converters}) {
        if(base == null) {
            base = _baseRoute;
        }
        if(converters == null) {
            converters = defaultConverters;
        }
        return DocumentApi(base: base, converters: converters, timeout: timeout);
    }

    
    /**
    * Get EmployeeApi instance, base route and serializer can be overridden by a given but be careful,
    * by doing that all interceptors will not be executed
    */
    EmployeeApi getEmployeeApi({Route base, Map<String, CodecRepo> converters}) {
        if(base == null) {
            base = _baseRoute;
        }
        if(converters == null) {
            converters = defaultConverters;
        }
        return EmployeeApi(base: base, converters: converters, timeout: timeout);
    }

    
    /**
    * Get GratuityApi instance, base route and serializer can be overridden by a given but be careful,
    * by doing that all interceptors will not be executed
    */
    GratuityApi getGratuityApi({Route base, Map<String, CodecRepo> converters}) {
        if(base == null) {
            base = _baseRoute;
        }
        if(converters == null) {
            converters = defaultConverters;
        }
        return GratuityApi(base: base, converters: converters, timeout: timeout);
    }

    
    /**
    * Get IngredientApi instance, base route and serializer can be overridden by a given but be careful,
    * by doing that all interceptors will not be executed
    */
    IngredientApi getIngredientApi({Route base, Map<String, CodecRepo> converters}) {
        if(base == null) {
            base = _baseRoute;
        }
        if(converters == null) {
            converters = defaultConverters;
        }
        return IngredientApi(base: base, converters: converters, timeout: timeout);
    }

    
    /**
    * Get IngredientCategoryApi instance, base route and serializer can be overridden by a given but be careful,
    * by doing that all interceptors will not be executed
    */
    IngredientCategoryApi getIngredientCategoryApi({Route base, Map<String, CodecRepo> converters}) {
        if(base == null) {
            base = _baseRoute;
        }
        if(converters == null) {
            converters = defaultConverters;
        }
        return IngredientCategoryApi(base: base, converters: converters, timeout: timeout);
    }

    
    /**
    * Get ItemApi instance, base route and serializer can be overridden by a given but be careful,
    * by doing that all interceptors will not be executed
    */
    ItemApi getItemApi({Route base, Map<String, CodecRepo> converters}) {
        if(base == null) {
            base = _baseRoute;
        }
        if(converters == null) {
            converters = defaultConverters;
        }
        return ItemApi(base: base, converters: converters, timeout: timeout);
    }

    
    /**
    * Get ItemCategoryApi instance, base route and serializer can be overridden by a given but be careful,
    * by doing that all interceptors will not be executed
    */
    ItemCategoryApi getItemCategoryApi({Route base, Map<String, CodecRepo> converters}) {
        if(base == null) {
            base = _baseRoute;
        }
        if(converters == null) {
            converters = defaultConverters;
        }
        return ItemCategoryApi(base: base, converters: converters, timeout: timeout);
    }

    
    /**
    * Get LoyaltyProgramApi instance, base route and serializer can be overridden by a given but be careful,
    * by doing that all interceptors will not be executed
    */
    LoyaltyProgramApi getLoyaltyProgramApi({Route base, Map<String, CodecRepo> converters}) {
        if(base == null) {
            base = _baseRoute;
        }
        if(converters == null) {
            converters = defaultConverters;
        }
        return LoyaltyProgramApi(base: base, converters: converters, timeout: timeout);
    }

    
    /**
    * Get MerchantApi instance, base route and serializer can be overridden by a given but be careful,
    * by doing that all interceptors will not be executed
    */
    MerchantApi getMerchantApi({Route base, Map<String, CodecRepo> converters}) {
        if(base == null) {
            base = _baseRoute;
        }
        if(converters == null) {
            converters = defaultConverters;
        }
        return MerchantApi(base: base, converters: converters, timeout: timeout);
    }

    
    /**
    * Get MerchantAccountApi instance, base route and serializer can be overridden by a given but be careful,
    * by doing that all interceptors will not be executed
    */
    MerchantAccountApi getMerchantAccountApi({Route base, Map<String, CodecRepo> converters}) {
        if(base == null) {
            base = _baseRoute;
        }
        if(converters == null) {
            converters = defaultConverters;
        }
        return MerchantAccountApi(base: base, converters: converters, timeout: timeout);
    }

    
    /**
    * Get ModifierApi instance, base route and serializer can be overridden by a given but be careful,
    * by doing that all interceptors will not be executed
    */
    ModifierApi getModifierApi({Route base, Map<String, CodecRepo> converters}) {
        if(base == null) {
            base = _baseRoute;
        }
        if(converters == null) {
            converters = defaultConverters;
        }
        return ModifierApi(base: base, converters: converters, timeout: timeout);
    }

    
    /**
    * Get OrderApi instance, base route and serializer can be overridden by a given but be careful,
    * by doing that all interceptors will not be executed
    */
    OrderApi getOrderApi({Route base, Map<String, CodecRepo> converters}) {
        if(base == null) {
            base = _baseRoute;
        }
        if(converters == null) {
            converters = defaultConverters;
        }
        return OrderApi(base: base, converters: converters, timeout: timeout);
    }

    
    /**
    * Get OutletApi instance, base route and serializer can be overridden by a given but be careful,
    * by doing that all interceptors will not be executed
    */
    OutletApi getOutletApi({Route base, Map<String, CodecRepo> converters}) {
        if(base == null) {
            base = _baseRoute;
        }
        if(converters == null) {
            converters = defaultConverters;
        }
        return OutletApi(base: base, converters: converters, timeout: timeout);
    }

    
    /**
    * Get PaymentConfigurationApi instance, base route and serializer can be overridden by a given but be careful,
    * by doing that all interceptors will not be executed
    */
    PaymentConfigurationApi getPaymentConfigurationApi({Route base, Map<String, CodecRepo> converters}) {
        if(base == null) {
            base = _baseRoute;
        }
        if(converters == null) {
            converters = defaultConverters;
        }
        return PaymentConfigurationApi(base: base, converters: converters, timeout: timeout);
    }

    
    /**
    * Get PromoApi instance, base route and serializer can be overridden by a given but be careful,
    * by doing that all interceptors will not be executed
    */
    PromoApi getPromoApi({Route base, Map<String, CodecRepo> converters}) {
        if(base == null) {
            base = _baseRoute;
        }
        if(converters == null) {
            converters = defaultConverters;
        }
        return PromoApi(base: base, converters: converters, timeout: timeout);
    }

    
    /**
    * Get PurchaseOrderApi instance, base route and serializer can be overridden by a given but be careful,
    * by doing that all interceptors will not be executed
    */
    PurchaseOrderApi getPurchaseOrderApi({Route base, Map<String, CodecRepo> converters}) {
        if(base == null) {
            base = _baseRoute;
        }
        if(converters == null) {
            converters = defaultConverters;
        }
        return PurchaseOrderApi(base: base, converters: converters, timeout: timeout);
    }

    
    /**
    * Get RecipeApi instance, base route and serializer can be overridden by a given but be careful,
    * by doing that all interceptors will not be executed
    */
    RecipeApi getRecipeApi({Route base, Map<String, CodecRepo> converters}) {
        if(base == null) {
            base = _baseRoute;
        }
        if(converters == null) {
            converters = defaultConverters;
        }
        return RecipeApi(base: base, converters: converters, timeout: timeout);
    }

    
    /**
    * Get RoleApi instance, base route and serializer can be overridden by a given but be careful,
    * by doing that all interceptors will not be executed
    */
    RoleApi getRoleApi({Route base, Map<String, CodecRepo> converters}) {
        if(base == null) {
            base = _baseRoute;
        }
        if(converters == null) {
            converters = defaultConverters;
        }
        return RoleApi(base: base, converters: converters, timeout: timeout);
    }

    
    /**
    * Get RolePermissionApi instance, base route and serializer can be overridden by a given but be careful,
    * by doing that all interceptors will not be executed
    */
    RolePermissionApi getRolePermissionApi({Route base, Map<String, CodecRepo> converters}) {
        if(base == null) {
            base = _baseRoute;
        }
        if(converters == null) {
            converters = defaultConverters;
        }
        return RolePermissionApi(base: base, converters: converters, timeout: timeout);
    }

    
    /**
    * Get SalesTypeApi instance, base route and serializer can be overridden by a given but be careful,
    * by doing that all interceptors will not be executed
    */
    SalesTypeApi getSalesTypeApi({Route base, Map<String, CodecRepo> converters}) {
        if(base == null) {
            base = _baseRoute;
        }
        if(converters == null) {
            converters = defaultConverters;
        }
        return SalesTypeApi(base: base, converters: converters, timeout: timeout);
    }

    
    /**
    * Get ShiftApi instance, base route and serializer can be overridden by a given but be careful,
    * by doing that all interceptors will not be executed
    */
    ShiftApi getShiftApi({Route base, Map<String, CodecRepo> converters}) {
        if(base == null) {
            base = _baseRoute;
        }
        if(converters == null) {
            converters = defaultConverters;
        }
        return ShiftApi(base: base, converters: converters, timeout: timeout);
    }

    
    /**
    * Get SplashScreenApi instance, base route and serializer can be overridden by a given but be careful,
    * by doing that all interceptors will not be executed
    */
    SplashScreenApi getSplashScreenApi({Route base, Map<String, CodecRepo> converters}) {
        if(base == null) {
            base = _baseRoute;
        }
        if(converters == null) {
            converters = defaultConverters;
        }
        return SplashScreenApi(base: base, converters: converters, timeout: timeout);
    }

    
    /**
    * Get SupplierApi instance, base route and serializer can be overridden by a given but be careful,
    * by doing that all interceptors will not be executed
    */
    SupplierApi getSupplierApi({Route base, Map<String, CodecRepo> converters}) {
        if(base == null) {
            base = _baseRoute;
        }
        if(converters == null) {
            converters = defaultConverters;
        }
        return SupplierApi(base: base, converters: converters, timeout: timeout);
    }

    
    /**
    * Get TableApi instance, base route and serializer can be overridden by a given but be careful,
    * by doing that all interceptors will not be executed
    */
    TableApi getTableApi({Route base, Map<String, CodecRepo> converters}) {
        if(base == null) {
            base = _baseRoute;
        }
        if(converters == null) {
            converters = defaultConverters;
        }
        return TableApi(base: base, converters: converters, timeout: timeout);
    }

    
    /**
    * Get TableGroupApi instance, base route and serializer can be overridden by a given but be careful,
    * by doing that all interceptors will not be executed
    */
    TableGroupApi getTableGroupApi({Route base, Map<String, CodecRepo> converters}) {
        if(base == null) {
            base = _baseRoute;
        }
        if(converters == null) {
            converters = defaultConverters;
        }
        return TableGroupApi(base: base, converters: converters, timeout: timeout);
    }

    
    /**
    * Get TaxApi instance, base route and serializer can be overridden by a given but be careful,
    * by doing that all interceptors will not be executed
    */
    TaxApi getTaxApi({Route base, Map<String, CodecRepo> converters}) {
        if(base == null) {
            base = _baseRoute;
        }
        if(converters == null) {
            converters = defaultConverters;
        }
        return TaxApi(base: base, converters: converters, timeout: timeout);
    }

    
    /**
    * Get UnitApi instance, base route and serializer can be overridden by a given but be careful,
    * by doing that all interceptors will not be executed
    */
    UnitApi getUnitApi({Route base, Map<String, CodecRepo> converters}) {
        if(base == null) {
            base = _baseRoute;
        }
        if(converters == null) {
            converters = defaultConverters;
        }
        return UnitApi(base: base, converters: converters, timeout: timeout);
    }

    
}
