import 'package:jaguar_retrofit/annotations/annotations.dart';
import 'package:jaguar_retrofit/jaguar_retrofit.dart';
import 'package:jaguar_serializer/jaguar_serializer.dart';
import 'package:jaguar_mimetype/jaguar_mimetype.dart';
import 'dart:async';

import 'package:pointpos_api/model/exception.dart';
import 'package:pointpos_api/model/adjustment_stock.dart';

part 'adjustment_stock_api.jretro.dart';

@GenApiClient()
class AdjustmentStockApi extends ApiClient with _$AdjustmentStockApiClient {
    final Route base;
    final Map<String, CodecRepo> converters;
    final Duration timeout;

    AdjustmentStockApi({this.base, this.converters, this.timeout = const Duration(minutes: 2)});

    /// Create AdjustmentStock
    ///
    /// Create AdjustmentStock
    @PostReq(path: "/adjustment-stock", metadata: {"auth": [ {"type": "apiKey", "name": "JWT", "keyName": "Authorization", "where": "header" }]})
    Future<AdjustmentStock> createAdjustmentStock(
        
            @Header("Authorization") String authorization, 
        
            @Header("X-API-Key") String xAPIKey, 
        
            @Header("X-Pin") String xPin
            ,
             @AsJson() AdjustmentStock body
        ) {
        return super.createAdjustmentStock(
        
        authorization, 
        
        xAPIKey, 
        
        xPin

        ,
        body
        ).timeout(timeout);
    }

    /// Get AdjustmentStock List
    ///
    /// Get AdjustmentStock  List
    @GetReq(path: "/adjustment-stock", metadata: {"auth": [ {"type": "apiKey", "name": "JWT", "keyName": "Authorization", "where": "header" }]})
    Future<List<AdjustmentStock>> findAdjustmentStock(
        
            @Header("Authorization") String authorization, 
        
            @Header("X-API-Key") String xAPIKey, 
        
            @Header("X-Pin") String xPin
        ,
            @QueryParam("limit") num limit, 
        
            @QueryParam("offset") num offset, 
        
            @QueryParam("sort") String sort, 
        
            @QueryParam("direction") String direction, 
        
            @QueryParam("filter") List<String> filter, 
        
            @QueryParam("with_deleted") bool withDeleted
        ) {
        return super.findAdjustmentStock(
        
        authorization, 
        
        xAPIKey, 
        
        xPin
        ,
        limit, 
        
        offset, 
        
        sort, 
        
        direction, 
        
        filter, 
        
        withDeleted

        ).timeout(timeout);
    }

    /// Get AdjustmentStock By ID
    ///
    /// Get AdjustmentStock By ID
    @GetReq(path: "/adjustment-stock/:id", metadata: {"auth": [ {"type": "apiKey", "name": "JWT", "keyName": "Authorization", "where": "header" }]})
    Future<AdjustmentStock> getAdjustmentStockByID(
            @PathParam("id") String id
        ,
            @Header("Authorization") String authorization, 
        
            @Header("X-API-Key") String xAPIKey, 
        
            @Header("X-Pin") String xPin
        ) {
        return super.getAdjustmentStockByID(
        id
        ,
        authorization, 
        
        xAPIKey, 
        
        xPin

        ).timeout(timeout);
    }


}
