import 'package:jaguar_retrofit/annotations/annotations.dart';
import 'package:jaguar_retrofit/jaguar_retrofit.dart';
import 'package:jaguar_serializer/jaguar_serializer.dart';
import 'package:jaguar_mimetype/jaguar_mimetype.dart';
import 'dart:async';

import 'package:pointpos_api/model/exception.dart';
import 'package:pointpos_api/model/inline_response200.dart';

part 'document_api.jretro.dart';

@GenApiClient()
class DocumentApi extends ApiClient with _$DocumentApiClient {
    final Route base;
    final Map<String, CodecRepo> converters;
    final Duration timeout;

    DocumentApi({this.base, this.converters, this.timeout = const Duration(minutes: 2)});

    /// Upload Document
    ///
    /// Upload Document
    @PostReq(path: "/document", metadata: {"auth": [ {"type": "apiKey", "name": "JWT", "keyName": "Authorization", "where": "header" }]})
    Future<InlineResponse200> uploadDocument(
        
            @Header("Authorization") String authorization, 
        
            @Header("X-API-Key") String xAPIKey, 
        
            @Header("X-Pin") String xPin
            ,
            @AsMultipartField() MultipartFile file, 
            
            @AsMultipartField() String type
        ) {
        return super.uploadDocument(
        
        authorization, 
        
        xAPIKey, 
        
        xPin

        ,
        file, 
        
        type
        ).timeout(timeout);
    }


}
