// GENERATED CODE - DO NOT MODIFY BY HAND

part of 'order_api.dart';

// **************************************************************************
// JaguarHttpGenerator
// **************************************************************************

abstract class _$OrderApiClient implements ApiClient {
  final String basePath = "";
  Future<Feedback> createFeedback(
      String id, String xAPIKey, CreateFeedback body) async {
    var req = base.post
        .path(basePath)
        .path("/order/:id/feedback")
        .pathParams("id", id)
        .header("X-API-Key", xAPIKey)
        .json(jsonConverter.to(body));
    return req.go(throwOnErr: true).map(decodeOne);
  }

  Future<Order> createOrder(
      String authorization, String xAPIKey, String xPin, Order body) async {
    var req = base.post
        .metadata({
          "auth": [
            {
              "type": "apiKey",
              "name": "JWT",
              "keyName": "Authorization",
              "where": "header",
            }
          ],
        })
        .path(basePath)
        .path("/order")
        .header("Authorization", authorization)
        .header("X-API-Key", xAPIKey)
        .header("X-Pin", xPin)
        .json(jsonConverter.to(body));
    return req.go(throwOnErr: true).map(decodeOne);
  }

  Future<RefundOrder> createRefundByOrderID(String id, String authorization,
      String xAPIKey, String xPin, RefundOrder body) async {
    var req = base.post
        .metadata({
          "auth": [
            {
              "type": "apiKey",
              "name": "JWT",
              "keyName": "Authorization",
              "where": "header",
            }
          ],
        })
        .path(basePath)
        .path("/order/:id/refund")
        .pathParams("id", id)
        .header("Authorization", authorization)
        .header("X-API-Key", xAPIKey)
        .header("X-Pin", xPin)
        .json(jsonConverter.to(body));
    return req.go(throwOnErr: true).map(decodeOne);
  }

  Future<SendReceipt> createSendReceiptByOrderID(
      String id,
      String authorization,
      String xAPIKey,
      String xPin,
      SendReceipt body) async {
    var req = base.post
        .metadata({
          "auth": [
            {
              "type": "apiKey",
              "name": "JWT",
              "keyName": "Authorization",
              "where": "header",
            }
          ],
        })
        .path(basePath)
        .path("/order/:id/send-receipt")
        .pathParams("id", id)
        .header("Authorization", authorization)
        .header("X-API-Key", xAPIKey)
        .header("X-Pin", xPin)
        .json(jsonConverter.to(body));
    return req.go(throwOnErr: true).map(decodeOne);
  }

  Future<void> deleteOrderByID(
      String id, String authorization, String xAPIKey, String xPin) async {
    var req = base.delete
        .metadata({
          "auth": [
            {
              "type": "apiKey",
              "name": "JWT",
              "keyName": "Authorization",
              "where": "header",
            }
          ],
        })
        .path(basePath)
        .path("/order/:id")
        .pathParams("id", id)
        .header("Authorization", authorization)
        .header("X-API-Key", xAPIKey)
        .header("X-Pin", xPin);
    await req.go(throwOnErr: true);
  }

  Future<List<Feedback>> findFeedback(
      String authorization,
      String xAPIKey,
      String xPin,
      num limit,
      num offset,
      String sort,
      String direction,
      List<String> filter,
      bool withDeleted) async {
    var req = base.get
        .metadata({
          "auth": [
            {
              "type": "apiKey",
              "name": "JWT",
              "keyName": "Authorization",
              "where": "header",
            }
          ],
        })
        .path(basePath)
        .path("/order/feedback")
        .query("limit", limit)
        .query("offset", offset)
        .query("sort", sort)
        .query("direction", direction)
        .query("filter", filter)
        .query("with_deleted", withDeleted)
        .header("Authorization", authorization)
        .header("X-API-Key", xAPIKey)
        .header("X-Pin", xPin);
    return req.go(throwOnErr: true).map(decodeList);
  }

  Future<List<Order>> findOrder(
      String authorization,
      String xAPIKey,
      String xPin,
      num limit,
      num offset,
      String sort,
      String direction,
      List<String> filter,
      bool withDeleted) async {
    var req = base.get
        .metadata({
          "auth": [
            {
              "type": "apiKey",
              "name": "JWT",
              "keyName": "Authorization",
              "where": "header",
            }
          ],
        })
        .path(basePath)
        .path("/order")
        .query("limit", limit)
        .query("offset", offset)
        .query("sort", sort)
        .query("direction", direction)
        .query("filter", filter)
        .query("with_deleted", withDeleted)
        .header("Authorization", authorization)
        .header("X-API-Key", xAPIKey)
        .header("X-Pin", xPin);
    return req.go(throwOnErr: true).map(decodeList);
  }

  Future<Feedback> getFeedbackByID(
      String id, String authorization, String xAPIKey, String xPin) async {
    var req = base.get
        .metadata({
          "auth": [
            {
              "type": "apiKey",
              "name": "JWT",
              "keyName": "Authorization",
              "where": "header",
            }
          ],
        })
        .path(basePath)
        .path("/order/:id/feedback")
        .pathParams("id", id)
        .header("Authorization", authorization)
        .header("X-API-Key", xAPIKey)
        .header("X-Pin", xPin);
    return req.go(throwOnErr: true).map(decodeOne);
  }

  Future<Order> getOrderByID(
      String id, String authorization, String xAPIKey, String xPin) async {
    var req = base.get
        .metadata({
          "auth": [
            {
              "type": "apiKey",
              "name": "JWT",
              "keyName": "Authorization",
              "where": "header",
            }
          ],
        })
        .path(basePath)
        .path("/order/:id")
        .pathParams("id", id)
        .header("Authorization", authorization)
        .header("X-API-Key", xAPIKey)
        .header("X-Pin", xPin);
    return req.go(throwOnErr: true).map(decodeOne);
  }

  Future<Order> updateOrderByID(String id, String authorization, String xAPIKey,
      String xPin, Order body) async {
    var req = base.put
        .metadata({
          "auth": [
            {
              "type": "apiKey",
              "name": "JWT",
              "keyName": "Authorization",
              "where": "header",
            }
          ],
        })
        .path(basePath)
        .path("/order/:id")
        .pathParams("id", id)
        .header("Authorization", authorization)
        .header("X-API-Key", xAPIKey)
        .header("X-Pin", xPin)
        .json(jsonConverter.to(body));
    return req.go(throwOnErr: true).map(decodeOne);
  }
}
