import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/loyalty_program_point_from_buy_item_eligible_items.dart';

import 'package:pointpos_api/model/loyalty_program_point_from_buy_item_eligible_categories.dart';

part 'loyalty_program_redeem_rules.jser.dart';

class LoyaltyProgramRedeemRules {
  
  @Alias('requiredPoint', isNullable: false,  )
  final num requiredPoint;
  
  @Alias('discount', isNullable: false,  )
  final num discount;
  
  @Alias('isPercentage', isNullable: false,  )
  final bool isPercentage;
  
  @Alias('maximumDiscountValue', isNullable: false,  )
  final num maximumDiscountValue;
  
  @Alias('minimumPurchase', isNullable: false,  )
  final num minimumPurchase;
  
  @Alias('eligibleItems', isNullable: false,  )
  final List<LoyaltyProgramPointFromBuyItemEligibleItems> eligibleItems;
  
  @Alias('eligibleCategories', isNullable: false,  )
  final List<LoyaltyProgramPointFromBuyItemEligibleCategories> eligibleCategories;
  

  LoyaltyProgramRedeemRules(
      

{
     this.requiredPoint = null,  
     this.discount = null,  
     this.isPercentage = null,  
     this.maximumDiscountValue = null,  
     this.minimumPurchase = null,  
     this.eligibleItems = const [],  
     this.eligibleCategories = const [] 
    
    }
  );

  @override
  String toString() {
    return 'LoyaltyProgramRedeemRules[requiredPoint=$requiredPoint, discount=$discount, isPercentage=$isPercentage, maximumDiscountValue=$maximumDiscountValue, minimumPurchase=$minimumPurchase, eligibleItems=$eligibleItems, eligibleCategories=$eligibleCategories, ]';
  }
}

@GenSerializer(nullableFields: true)
class LoyaltyProgramRedeemRulesSerializer extends Serializer<LoyaltyProgramRedeemRules> with _$LoyaltyProgramRedeemRulesSerializer {

}

