import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/modifier_options.dart';

part 'modifier.jser.dart';

class Modifier {
  
  @Alias('id', isNullable: false,  )
  final String id;
  
  @Alias('name', isNullable: false,  )
  final String name;
  
  @Alias('options', isNullable: false,  )
  final List<ModifierOptions> options;
  
  @Alias('appliedItems', isNullable: false,  )
  final List<String> appliedItems;
  
  @Alias('createdAt', isNullable: false,  )
  final DateTime createdAt;
  
  @Alias('createdBy', isNullable: false,  )
  final String createdBy;
  
  @Alias('updatedAt', isNullable: false,  )
  final DateTime updatedAt;
  
  @Alias('updatedBy', isNullable: false,  )
  final String updatedBy;
  
  @Alias('deleted', isNullable: false,  )
  final bool deleted;
  

  Modifier(
      

{
     this.id = null,  
    
     this.name = null,  
     this.options = const [],  
     this.appliedItems = const [],   this.createdAt = null,  
     this.createdBy = null,  
     this.updatedAt = null,  
     this.updatedBy = null,  
     this.deleted = false 
    
    }
  );

  @override
  String toString() {
    return 'Modifier[id=$id, name=$name, options=$options, appliedItems=$appliedItems, createdAt=$createdAt, createdBy=$createdBy, updatedAt=$updatedAt, updatedBy=$updatedBy, deleted=$deleted, ]';
  }
}

@GenSerializer(nullableFields: true)
class ModifierSerializer extends Serializer<Modifier> with _$ModifierSerializer {

}

