import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/send_receipt.dart';

import 'package:pointpos_api/model/order_gratuities.dart';

import 'package:pointpos_api/model/order_payments.dart';

import 'package:pointpos_api/model/refund_order.dart';

import 'package:pointpos_api/model/order_taxes.dart';

import 'package:pointpos_api/model/order_items.dart';

part 'order.jser.dart';

class Order {
  
  @Alias('id', isNullable: false,  )
  final String id;
  
  @Alias('shortId', isNullable: false,  )
  final String shortId;
  
  @Alias('merchantId', isNullable: false,  )
  final String merchantId;
  
  @Alias('outletId', isNullable: false,  )
  final String outletId;
  
  @Alias('type', isNullable: false,
          
  )
  final String type;
  //enum typeEnum {  receipt,  invoice,  };
  @Alias('items', isNullable: false,  )
  final List<OrderItems> items;
  
  @Alias('taxes', isNullable: false,  )
  final List<OrderTaxes> taxes;
  
  @Alias('gratuities', isNullable: false,  )
  final List<OrderGratuities> gratuities;
  
  @Alias('subTotal', isNullable: false,  )
  final num subTotal;
  
  @Alias('gratuity', isNullable: false,  )
  final num gratuity;
  
  @Alias('discount', isNullable: false,  )
  final num discount;
  
  @Alias('tax', isNullable: false,  )
  final num tax;
  
  @Alias('rounding', isNullable: false,  )
  final num rounding;
  
  @Alias('grandTotal', isNullable: false,  )
  final num grandTotal;
  
  @Alias('customerId', isNullable: false,  )
  final String customerId;
  
  @Alias('payments', isNullable: false,  )
  final List<OrderPayments> payments;
  
  @Alias('sentReceipts', isNullable: false,  )
  final List<SendReceipt> sentReceipts;
  
  @Alias('refundHistory', isNullable: false,  )
  final List<RefundOrder> refundHistory;
  
  @Alias('createdAt', isNullable: false,  )
  final DateTime createdAt;
  
  @Alias('createdBy', isNullable: false,  )
  final String createdBy;
  
  @Alias('updatedAt', isNullable: false,  )
  final DateTime updatedAt;
  
  @Alias('updatedBy', isNullable: false,  )
  final String updatedBy;
  
  @Alias('deleted', isNullable: false,  )
  final bool deleted;
  

  Order(
      

{
     this.id = null,  
     this.shortId = null,  
     this.merchantId = null,  
     this.outletId = null,  
     this.type = null,  
    
     this.items = const [],   this.taxes = const [],  
     this.gratuities = const [],  
     this.subTotal = null,  
     this.gratuity = null,  
     this.discount = null,  
     this.tax = null,  
     this.rounding = null,  
     this.grandTotal = null,  
     this.customerId = null,  
    
     this.payments = const [],  
     this.sentReceipts = const [],   this.refundHistory = const [],  
     this.createdAt = null,  
     this.createdBy = null,  
     this.updatedAt = null,  
     this.updatedBy = null,  
     this.deleted = false 
    
    }
  );

  @override
  String toString() {
    return 'Order[id=$id, shortId=$shortId, merchantId=$merchantId, outletId=$outletId, type=$type, items=$items, taxes=$taxes, gratuities=$gratuities, subTotal=$subTotal, gratuity=$gratuity, discount=$discount, tax=$tax, rounding=$rounding, grandTotal=$grandTotal, customerId=$customerId, payments=$payments, sentReceipts=$sentReceipts, refundHistory=$refundHistory, createdAt=$createdAt, createdBy=$createdBy, updatedAt=$updatedAt, updatedBy=$updatedBy, deleted=$deleted, ]';
  }
}

@GenSerializer(nullableFields: true)
class OrderSerializer extends Serializer<Order> with _$OrderSerializer {

}

