import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/recipe_ingredients.dart';

part 'recipe.jser.dart';

class Recipe {
  
  @Alias('itemId', isNullable: false,  )
  final String itemId;
  
  @Alias('variantId', isNullable: false,  )
  final num variantId;
  
  @Alias('ingredients', isNullable: false,  )
  final List<RecipeIngredients> ingredients;
  
  @Alias('createdAt', isNullable: false,  )
  final DateTime createdAt;
  
  @Alias('createdBy', isNullable: false,  )
  final String createdBy;
  
  @Alias('updatedAt', isNullable: false,  )
  final DateTime updatedAt;
  
  @Alias('updatedBy', isNullable: false,  )
  final String updatedBy;
  
  @Alias('deleted', isNullable: false,  )
  final bool deleted;
  

  Recipe(
      

{
    
     this.itemId = null,  
     this.variantId = null,  
     this.ingredients = const [],   this.createdAt = null,  
     this.createdBy = null,  
     this.updatedAt = null,  
     this.updatedBy = null,  
     this.deleted = false 
    
    }
  );

  @override
  String toString() {
    return 'Recipe[itemId=$itemId, variantId=$variantId, ingredients=$ingredients, createdAt=$createdAt, createdBy=$createdBy, updatedAt=$updatedAt, updatedBy=$updatedBy, deleted=$deleted, ]';
  }
}

@GenSerializer(nullableFields: true)
class RecipeSerializer extends Serializer<Recipe> with _$RecipeSerializer {

}

