import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/shift_card.dart';

import 'package:pointpos_api/model/shift_sold_items.dart';

import 'package:pointpos_api/model/shift_cash.dart';

import 'package:pointpos_api/model/shift_others.dart';

part 'shift.jser.dart';

class Shift {
  
  @Alias('id', isNullable: false,  )
  final String id;
  
  @Alias('startingCash', isNullable: false,  )
  final num startingCash;
  
  @Alias('startedAt', isNullable: false,  )
  final DateTime startedAt;
  
  @Alias('actualEndingCash', isNullable: false,  )
  final num actualEndingCash;
  
  @Alias('endedAt', isNullable: false,  )
  final DateTime endedAt;
  
  @Alias('employeeId', isNullable: false,  )
  final String employeeId;
  
  @Alias('outletId', isNullable: false,  )
  final String outletId;
  
  @Alias('soldItems', isNullable: false,  )
  final List<ShiftSoldItems> soldItems;
  
  @Alias('refundedItems', isNullable: false,  )
  final List<ShiftSoldItems> refundedItems;
  
  @Alias('cash', isNullable: false,  )
  final ShiftCash cash;
  
  @Alias('card', isNullable: false,  )
  final ShiftCard card;
  
  @Alias('others', isNullable: false,  )
  final List<ShiftOthers> others;
  

  Shift(
      

{
     this.id = null,  
     this.startingCash = null,  
     this.startedAt = null,  
     this.actualEndingCash = null,  
     this.endedAt = null,  
     this.employeeId = null,  
     this.outletId = null,  
     this.soldItems = const [],  
     this.refundedItems = const [],  
     this.cash = null,  
     this.card = null,  
     this.others = const [] 
    
    }
  );

  @override
  String toString() {
    return 'Shift[id=$id, startingCash=$startingCash, startedAt=$startedAt, actualEndingCash=$actualEndingCash, endedAt=$endedAt, employeeId=$employeeId, outletId=$outletId, soldItems=$soldItems, refundedItems=$refundedItems, cash=$cash, card=$card, others=$others, ]';
  }
}

@GenSerializer(nullableFields: true)
class ShiftSerializer extends Serializer<Shift> with _$ShiftSerializer {

}

